import 'package:flutter/material.dart';

class VCard extends StatelessWidget {
  final Widget child;
  final EdgeInsetsGeometry? padding;
  final void Function()? onTap;
  final double elevation;
  VCard({required this.child, this.padding, this.onTap, this.elevation = 1.0});

  @override
  Widget build(BuildContext context) {
    return Card(
      elevation: elevation,
      shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(10)),
      child: InkWell(
        onTap: onTap,
        borderRadius: BorderRadius.circular(10),
        child: Padding(
          padding: this.padding ?? EdgeInsets.all(5),
          child: child,
        ),
      ),
    );
  }
}
